import { ImTool } from './ImTool';
export declare type ImageType = string | Blob | File | HTMLImageElement;
/**
 * Creates a new instance of ImTool from an image URL, Blob, File or an image element.
 * The image be from the same origin, or from an origin accessible to the website.
 * @param image The image to be loaded.
 */
export declare function fromImage(image: ImageType): Promise<ImTool>;
/**
 * Creates a new instance of ImTool from screen capture.
 */
export declare function fromScreen(): Promise<ImTool>;
/**
 * Creates a new instance of ImTool from webcam capture.
 */
export declare function fromWebcam(): Promise<ImTool>;
